Subject: incomplete incompability lists
From: Hans Ekbrand <hans@sociologi.cjb.net>
Date: Tue, 25 Nov 2003 11:07:29 +0100

Hi list-members!

I am new to the list and I have subscribed in order to discuss a
specific topic: incompabilities of licenses and in particular the
information on incompabilities on www.opensource.org.

I read on http://opensource.org/licenses/real.php 
that RealNetworks Public Source License Version (RPSL) 1.0 is an
OSI approved license.

This page has a list of the other OSI approved licenses and some are
marked by a footnote as potentially not compatible (Common Public
License, GPL, LGPL).

I do wonder if these three are the only ones potientially incompatible
with RPSL, since many of the other licenses are incompatible with GPL
(at least the following: Apple PSL 2.0, Apache SL 1.1, Mozilla PL at
least v 1.0, Both Sun licenses)

Not all pages on licenses have information on incompability, eg. APSL
at http://opensource.org/licenses/apsl-2.0.php. FSF considers it GPL
incompatible.

Lastly, the information on incompability of licenses is not reciprocal
so even if incompability issues with GPL and others are mentioned on
the page about RPSL, there is no mention of incompability with RPSL on
the page about GPL.

-- 

Hans Ekbrand
--
license-discuss archive is at http://crynwr.com/cgi-bin/ezmlm-cgi?3